curl --request POST \
--url https://api.g1.datacrazy.io/api/v1/conversations/{id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Como posso ajudar?",
"repliedMessageId": "48592f2a95hn298e5c872b1",
"repliedMessageAttachmentId": "48592f2a95hn298e5c872b1",
"scheduledDate": "2023-11-07T05:31:56Z",
"isInternal": true,
"attachments": [
{
"id": "699cb64f159e4b963465cf05",
"createdAt": "2026-02-23T20:19:27.371Z",
"updatedAt": "2026-02-23T20:19:27.371Z",
"fileName": "Screenshot.png",
"mimeType": "image/png",
"url": "https://s3.amazonaws.com/bucket/file.png",
"type": "IMAGE",
"size": 258422
},
{
"createdAt": "2026-02-23T20:35:12.559Z",
"updatedAt": "2026-02-23T20:35:12.559Z",
"fileName": "WhatsApp Audio 2026-02-20 at 13.11.49.opus",
"mimeType": "audio/ogg",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/841a3fb9-e046-46b5-aaf5-089d59f69de0/chat-attachments/841a3fb9-e046-46b5-aaf5-089d59f69de0_2026-02-23T20%3A35%3A11.858Z",
"type": "AUDIO",
"size": 27443,
"id": "699cba0061dfced84f15b419"
},
{
"createdAt": "2026-02-23T20:25:57.101Z",
"updatedAt": "2026-02-23T20:25:57.101Z",
"fileName": "ARQUITETURA_E_ENDPOINTS_NECESSARIOS.v1 (1) (1).pdf",
"mimeType": "application/pdf",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/chat-attachments/d129a692-e5ab-42b3-b0e4-90ad9a12b068_2026-02-23T20%3A25%3A55.640Z",
"type": "FILE",
"size": 469516,
"id": "699cb7d5159e4b963465d036"
},
{
"createdAt": "2026-02-23T20:22:45.564Z",
"updatedAt": "2026-02-23T20:22:45.564Z",
"fileName": "Screen Recording 2026-02-23 at 17.22.34.mov",
"mimeType": "video/quicktime",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/chat-attachments/d129a692-e5ab-42b3-b0e4-90ad9a12b068_2026-02-23T20%3A22%3A44.058Z",
"type": "VIDEO",
"size": 463126,
"id": "699cb715159e4b963465cf9b"
}
]
}
'import requests
url = "https://api.g1.datacrazy.io/api/v1/conversations/{id}/messages"
payload = {
"body": "Como posso ajudar?",
"repliedMessageId": "48592f2a95hn298e5c872b1",
"repliedMessageAttachmentId": "48592f2a95hn298e5c872b1",
"scheduledDate": "2023-11-07T05:31:56Z",
"isInternal": True,
"attachments": [
{
"id": "699cb64f159e4b963465cf05",
"createdAt": "2026-02-23T20:19:27.371Z",
"updatedAt": "2026-02-23T20:19:27.371Z",
"fileName": "Screenshot.png",
"mimeType": "image/png",
"url": "https://s3.amazonaws.com/bucket/file.png",
"type": "IMAGE",
"size": 258422
},
{
"createdAt": "2026-02-23T20:35:12.559Z",
"updatedAt": "2026-02-23T20:35:12.559Z",
"fileName": "WhatsApp Audio 2026-02-20 at 13.11.49.opus",
"mimeType": "audio/ogg",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/841a3fb9-e046-46b5-aaf5-089d59f69de0/chat-attachments/841a3fb9-e046-46b5-aaf5-089d59f69de0_2026-02-23T20%3A35%3A11.858Z",
"type": "AUDIO",
"size": 27443,
"id": "699cba0061dfced84f15b419"
},
{
"createdAt": "2026-02-23T20:25:57.101Z",
"updatedAt": "2026-02-23T20:25:57.101Z",
"fileName": "ARQUITETURA_E_ENDPOINTS_NECESSARIOS.v1 (1) (1).pdf",
"mimeType": "application/pdf",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/chat-attachments/d129a692-e5ab-42b3-b0e4-90ad9a12b068_2026-02-23T20%3A25%3A55.640Z",
"type": "FILE",
"size": 469516,
"id": "699cb7d5159e4b963465d036"
},
{
"createdAt": "2026-02-23T20:22:45.564Z",
"updatedAt": "2026-02-23T20:22:45.564Z",
"fileName": "Screen Recording 2026-02-23 at 17.22.34.mov",
"mimeType": "video/quicktime",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/chat-attachments/d129a692-e5ab-42b3-b0e4-90ad9a12b068_2026-02-23T20%3A22%3A44.058Z",
"type": "VIDEO",
"size": 463126,
"id": "699cb715159e4b963465cf9b"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('Como posso ajudar?'),
repliedMessageId: '48592f2a95hn298e5c872b1',
repliedMessageAttachmentId: '48592f2a95hn298e5c872b1',
scheduledDate: '2023-11-07T05:31:56Z',
isInternal: true,
attachments: [
{
id: '699cb64f159e4b963465cf05',
createdAt: '2026-02-23T20:19:27.371Z',
updatedAt: '2026-02-23T20:19:27.371Z',
fileName: 'Screenshot.png',
mimeType: 'image/png',
url: 'https://s3.amazonaws.com/bucket/file.png',
type: 'IMAGE',
size: 258422
},
{
createdAt: '2026-02-23T20:35:12.559Z',
updatedAt: '2026-02-23T20:35:12.559Z',
fileName: 'WhatsApp Audio 2026-02-20 at 13.11.49.opus',
mimeType: 'audio/ogg',
url: 'https://dc-qqqq2222pb.s3.amazonaws.com/841a3fb9-e046-46b5-aaf5-089d59f69de0/chat-attachments/841a3fb9-e046-46b5-aaf5-089d59f69de0_2026-02-23T20%3A35%3A11.858Z',
type: 'AUDIO',
size: 27443,
id: '699cba0061dfced84f15b419'
},
{
createdAt: '2026-02-23T20:25:57.101Z',
updatedAt: '2026-02-23T20:25:57.101Z',
fileName: 'ARQUITETURA_E_ENDPOINTS_NECESSARIOS.v1 (1) (1).pdf',
mimeType: 'application/pdf',
url: 'https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/chat-attachments/d129a692-e5ab-42b3-b0e4-90ad9a12b068_2026-02-23T20%3A25%3A55.640Z',
type: 'FILE',
size: 469516,
id: '699cb7d5159e4b963465d036'
},
{
createdAt: '2026-02-23T20:22:45.564Z',
updatedAt: '2026-02-23T20:22:45.564Z',
fileName: 'Screen Recording 2026-02-23 at 17.22.34.mov',
mimeType: 'video/quicktime',
url: 'https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/chat-attachments/d129a692-e5ab-42b3-b0e4-90ad9a12b068_2026-02-23T20%3A22%3A44.058Z',
type: 'VIDEO',
size: 463126,
id: '699cb715159e4b963465cf9b'
}
]
})
};
fetch('https://api.g1.datacrazy.io/api/v1/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "68597f2a95fb0298e5c128b5",
"conversationId": "34523f427033710f15389a18c",
"createdAt": "2025-06-25T18:03:37.292Z",
"updatedAt": "2025-11-07T22:05:15.754Z",
"deletedAt": "2025-08-12T22:10:09.541Z",
"body": "Bom dia!",
"received": true,
"attachments": [
{
"id": "685c39fcc2523944ecd171f7",
"createdAt": "2025-06-25T18:03:40.172Z",
"updatedAt": "2025-06-25T18:03:40.172Z",
"deletedAt": "2025-06-25T18:03:40.172Z",
"fileName": "my-product-175087",
"mimeType": "image/jpeg",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/f514f655-4897-416e-b5c1-bbc19aac0805",
"type": "IMAGE",
"size": "7642"
}
],
"vcard": [
{
"id": "685c4fb6f3dbb11ae1d1b641",
"createdAt": "2025-01-27T17:13:32.206Z",
"updatedAt": "2025-01-27T17:33:49.092Z",
"deletedAt": "2025-01-27T17:13:32.266Z",
"name": "Guilherme Gavazzoni",
"organization": "CRM Datacrazy",
"phones": [
"5541991331190",
"554733672094"
],
"emails": [
"lead@gmail.com",
"suporte@gmail.com"
],
"addresses": [
"Av. Paulista, 1578 - Bela Vista, São Paulo - SP, 01310-200"
],
"url": "www.google.com.br",
"birthday": "12//07/1984",
"note": "Esse é o contato dele!"
}
],
"location": {
"latitude": -23.55052,
"longitude": -46.633308,
"address": "Av. Paulista, 1578 - Bela Vista, São Paulo - SP, 01310-200",
"name": "Escritório Central",
"caption": "Localização do negócio"
},
"status": "RECEIVED",
"contact": {
"id": "6808cd89c9968a7b8a41b9f7",
"createdAt": "2024-12-19T14:21:42.164Z",
"updatedAt": "2025-06-24T16:28:23.703Z",
"name": "Angelica Schramm",
"imageURL": "https://dc-qqqq2222pb.s3.amazonaws.com/0a7ac87c-2f50-46b5-9c39-80ffec53e633/df4db2b8-7f0f-44d4-88e1-dd3e838f275e",
"contactId": "5547988367066",
"platform": "WHATSAPP",
"externalId": "1c3627f8-d6b9-42a9-b355-6977c04c969e",
"accountName": "@AngelicaSchramm",
"pending": true,
"externalInfo": {
"tagIds": [
"849fefab-e697-4720-9303-e788c23790cc",
"9e008d34-86d2-49fd-90af-34a9f9b29896"
],
"stageIds": [
"6fda2a0d-5e7c-4c51-bf47-2c60f7d34283",
"2bc3d979-93a4-4e64-8903-5d9379d3de91"
],
"pipelineIds": [
"3e409b29-0462-40b0-aef4-5eb6f0f2f89a",
"74c8e833-f681-4ed0-9ce6-e474e2d4b1a0"
]
}
},
"attendants": [
{
"userId": "t9kn9mqPakdGG535GQK3hod8wzM2",
"id": "6807e48c25ece34f9f1ba7dd",
"name": "Joao Silva",
"email": "joaosilva@gmail.com",
"phone": "55 47 991331190",
"imageURL": "https://dc-qqqq1111pb.s3.amazonaws.com/profiles/koQGLa8p68fNZiiSmE1tec2LHtc2_2025-05-24T00%3A27%3A23.486Z"
}
],
"erroCode": "402",
"errorMessage": "O token utilizado está expirado",
"header": "Boa tarde!",
"footer": "Obrigado",
"buttons": [
{
"id": "3d99cda4-62dc-4b9f-9c6c-124f1966b26a ",
"name": "Opção um",
"description": "Opcao para contatar o suporte",
"url": "www.google.com.br"
}
],
"repliedMessage": "<unknown>",
"repliedMessageAttachment": {
"id": "685c39fcc2523944ecd171f7",
"createdAt": "2025-06-25T18:03:40.172Z",
"updatedAt": "2025-06-25T18:03:40.172Z",
"deletedAt": "2025-06-25T18:03:40.172Z",
"fileName": "my-product-175087",
"mimeType": "image/jpeg",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/f514f655-4897-416e-b5c1-bbc19aac0805",
"type": "IMAGE",
"size": "7642"
},
"edited": true,
"deleted": true,
"forwarded": false,
"forward": {},
"isScheduled": true,
"scheduledDate": "2025-11-07T22:05:15.754Z",
"signature": "Joao da Silva",
"isInternal": true,
"interpretedContentPending": true,
"interpretedContent": "<string>"
}Enviar mensagem para uma conversa
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Texto da mensagem
"Como posso ajudar?"
ID da mensagem a ser respondida
"48592f2a95hn298e5c872b1"
ID do anexo da mensagem respondida
"48592f2a95hn298e5c872b1"
Data e hora agendadas para o envio da mensagem
Formato (ISO 8601): YYYY-MM-DDTHH:mm:ss.sssZ
Valor boleano para indicar se a mensagem é uma mensagem interna (anotação)
true
Anexos que podem ser enviados na mensagem
O campo type define o tipo do arquivo:
- IMAGE → Imagens
- VIDEO → Vídeos
- AUDIO → Áudios
- FILE → Documentos
O campo size representa o tamanho do arquivo em bytes.
O campo mimeType representa o tipo MIME do arquivo, como por exemplo: image/png, audio/ogg, application/pdf, etc.
##IMAGENS (IMAGE)
Instagram / Messenger:
- png, jpeg (até 8MB)
Cloud API / BSP:
- png, jpeg (até 5MB)
Evolution API / Z-API:
- png, jpeg (até 100MB)
##VÍDEOS (VIDEO)
Instagram / Messenger:
- mp4, ogg, avi, mov, webm (até 25MB)
Cloud API / BSP:
- mp4, 3gp (até 16MB)
Evolution API:
- mp4, 3gp (até 100MB)
Z-API:
- mp4, 3gp, mkv, mov, webm (até 100MB)
##ÁUDIOS (AUDIO)
Instagram / Messenger:
- wav, aac, m4a, mp4 (até 25MB)
Cloud API / BSP:
- ogg, mp3, amr, aac, m4a, mp4 (até 16MB)
Evolution API:
- ogg, mp3, amr, aac (até 50MB)
Z-API:
- ogg, mp3, amr, aac (até 40MB)
##DOCUMENTOS (FILE)
Extensões aceitas: pdf, doc, docx, xls, xlsx, ppt, pptx, txt, csv, rtf, odt, ods, odp
Show child attributes
Show child attributes
[
{
"id": "699cb64f159e4b963465cf05",
"createdAt": "2026-02-23T20:19:27.371Z",
"updatedAt": "2026-02-23T20:19:27.371Z",
"fileName": "Screenshot.png",
"mimeType": "image/png",
"url": "https://s3.amazonaws.com/bucket/file.png",
"type": "IMAGE",
"size": 258422
},
{
"createdAt": "2026-02-23T20:35:12.559Z",
"updatedAt": "2026-02-23T20:35:12.559Z",
"fileName": "WhatsApp Audio 2026-02-20 at 13.11.49.opus",
"mimeType": "audio/ogg",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/841a3fb9-e046-46b5-aaf5-089d59f69de0/chat-attachments/841a3fb9-e046-46b5-aaf5-089d59f69de0_2026-02-23T20%3A35%3A11.858Z",
"type": "AUDIO",
"size": 27443,
"id": "699cba0061dfced84f15b419"
},
{
"createdAt": "2026-02-23T20:25:57.101Z",
"updatedAt": "2026-02-23T20:25:57.101Z",
"fileName": "ARQUITETURA_E_ENDPOINTS_NECESSARIOS.v1 (1) (1).pdf",
"mimeType": "application/pdf",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/chat-attachments/d129a692-e5ab-42b3-b0e4-90ad9a12b068_2026-02-23T20%3A25%3A55.640Z",
"type": "FILE",
"size": 469516,
"id": "699cb7d5159e4b963465d036"
},
{
"createdAt": "2026-02-23T20:22:45.564Z",
"updatedAt": "2026-02-23T20:22:45.564Z",
"fileName": "Screen Recording 2026-02-23 at 17.22.34.mov",
"mimeType": "video/quicktime",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/chat-attachments/d129a692-e5ab-42b3-b0e4-90ad9a12b068_2026-02-23T20%3A22%3A44.058Z",
"type": "VIDEO",
"size": 463126,
"id": "699cb715159e4b963465cf9b"
}
]
Response
ID da mensagem
"68597f2a95fb0298e5c128b5"
ID da conversa
"34523f427033710f15389a18c"
Data de envio da da mensagem
"2025-06-25T18:03:37.292Z"
Data em que a mensagem foi editada
"2025-11-07T22:05:15.754Z"
Data em que a mensagm foi excluída
"2025-08-12T22:10:09.541Z"
Texto da mensagem
"Bom dia!"
Valor booleano que indica se a mensagem foi recebida pelo destinatário
true
Anexos da mensagem, como imagem, documento, áudio.
Show child attributes
Show child attributes
[
{
"id": "685c39fcc2523944ecd171f7",
"createdAt": "2025-06-25T18:03:40.172Z",
"updatedAt": "2025-06-25T18:03:40.172Z",
"deletedAt": "2025-06-25T18:03:40.172Z",
"fileName": "my-product-175087",
"mimeType": "image/jpeg",
"url": "https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/f514f655-4897-416e-b5c1-bbc19aac0805",
"type": "IMAGE",
"size": "7642"
}
]
Cartão de contato enviado pelo Whatsapp
Show child attributes
Show child attributes
Informações da mensagem de localização
Show child attributes
Show child attributes
Status da mensagem
"RECEIVED"
Informações do contato
Show child attributes
Show child attributes
ID do atendente
Show child attributes
Show child attributes
[
{
"userId": "t9kn9mqPakdGG535GQK3hod8wzM2",
"id": "6807e48c25ece34f9f1ba7dd",
"name": "Joao Silva",
"email": "joaosilva@gmail.com",
"phone": "55 47 991331190",
"imageURL": "https://dc-qqqq1111pb.s3.amazonaws.com/profiles/koQGLa8p68fNZiiSmE1tec2LHtc2_2025-05-24T00%3A27%3A23.486Z"
}
]
Código de erro da mensagem
"402"
Mensagem retornada no erro
"O token utilizado está expirado"
Presente somente em mensagems enviadas pelo Cloud api
"Boa tarde!"
Presente somente em mensagems enviadas pelo Cloud api
"Obrigado"
Botões presente na mensagem
Show child attributes
Show child attributes
[
{
"id": "3d99cda4-62dc-4b9f-9c6c-124f1966b26a ",
"name": "Opção um",
"description": "Opcao para contatar o suporte",
"url": "www.google.com.br"
}
]
Mensagem que foi respondida
Mensagem de anexo que foi respondido
Show child attributes
Show child attributes
Valor boleano que indica se a mensagem foi editada ou não
true
Valor boleano que indica se a mensagem foi deletada ou não
true
Valor boleano que indica se a mensagem é encaminhada ou não
false
Dados da mensagem encaminhada
Valor boleano que indica se a mensagem é uma mensagem agendada ou não
true
Data e hora agendadas para o envio da mensagem
"2025-11-07T22:05:15.754Z"
Assinatura do atendente na mensagem
"Joao da Silva"
Valor boleano que indica se a mensagem é uma mensagem interna, sendo uma anotação
true